pandoc-2.9.2.1: Conversion between markup formats

Copyright | Copyright (C) 2006-2020 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.RST

Description

Conversion from reStructuredText to `Pandoc` document.

Synopsis

- readRST :: PandocMonad m => ReaderOptions -> Text -> m Pandoc

# Documentation

readRST Source #

Arguments

:: PandocMonad m |
=> ReaderOptions | Reader options
-> Text | Text to parse (assuming `'n'` line endings)
-> m Pandoc |

Parse reStructuredText string and return Pandoc document.